Уязвимость BDU:2020-04513

Дата: 24.12.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-04513.

Наименование уязвимости: Уязвимость компонента parser.c библиотеки libxml2, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость компонента parser.c библиотеки libxml2 связана с неосвобождением ресурса после истечения действительного срока его эксплуатирования. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 12.04 ESM | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Fedora Project Fedora 30 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система Fedora Project Fedora 32 | Прикладное ПО информационных систем Oracle Corp. Oracle Real User Experience Insight 13.3.1.0 | Прикладное ПО информационных систем libxml2 2.9.10 |

Наименование ОС и тип аппаратной платформы: Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Ubuntu 1804 LTS | Debian GNU/Linux 90 | Ubuntu 1204 ESM | Red Hat Enterprise Linux 8 | OpenSUSE Leap 151 | Fedora 30 | Ubuntu 1404 ESM | Ubuntu 1910 | Fedora 32 |
Дата выявления: 24.12.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для программных продуктов Oracle:
https://www.oracle.com/security-alerts/cpujul2020.html

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2019-19956

Для Ubuntu:
https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-19956.html

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2019-19956/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2019-19956

Для libxml2:
https://gitlab.gnome.org/GNOME/libxml2/commit/7ffcd44d7e6c46704f8af0321d9314cd26e0e18a
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-19956.

Тип ошибки CWE: CWE-772
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.oracle.com/security-alerts/cpujul2020.html
https://security-tracker.debian.org/tracker/CVE-2019-19956
https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-19956.html
https://www.suse.com/security/cve/CVE-2019-19956/
https://access.redhat.com/security/cve/cve-2019-19956
https://gitlab.gnome.org/GNOME/libxml2/commit/5a02583c7e683896d84878bd90641d8d9b0d0549
https://www.ibm.com/blogs/psirt/security-bulletin-ibm-security-guardium-is-affected-by-multiple-vulnerabilities-4/

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *